Add Item to Return

Adds a material line item to a return. Returns 201 Created.

Requires scope: returns:write

Authentication

API_KEYstring
API Key authentication via header

Path parameters

idUUIDRequired
Return ID.

Request

This endpoint expects an object.
materialIdUUIDRequired
ID of the material to return. Required.
pricedoubleRequired
Unit price of the material. Required. Must be zero or greater.
deliveredQuantitydoubleRequired
Quantity to return. Required. Must be greater than zero.
materialVariationIdUUIDOptional
ID of the material variation to return. Optional.
notestringOptional
Optional note for this line item.

Response

This endpoint returns an object.
idUUID
Unique identifier for this return item record.
materialobject
Reference to the parent material.
variationobject
Reference to the material variation, if applicable.
pricedouble
Unit price of the material at time of return.
deliveredQuantitydouble
Quantity being returned. Must be greater than zero.
notestring
Optional note for this line item.
createdAtdatetime
ISO 8601 timestamp when the record was created.
updatedAtdatetime
ISO 8601 timestamp when the record was last updated.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error